// casSet.cpp : implementation of the CCasSet class
//

#include "stdafx.h"
#include "cas.h"
#include "casSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCasSet implementation

IMPLEMENT_DYNAMIC(CCasSet, CRecordset)

CCasSet::CCasSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CCasSet)
	m_PSHORT = 0;
	m_PINTEGER = 0;
	m_PMONEY = _T("");
	m_PREAL = 0.0;
	m_PTEXT = _T("");
	m_PSTRING = _T("");
	m_PCSSTRING = _T("");
	m_PCSISTRING = _T("");
	m_PCHAR = _T("");
	m_PBOOLEAN = FALSE;
	m_nFields = 16;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
//	m_nDefaultType = snapshot;
}

CString CCasSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=WinBase602: WB5");
}

CString CCasSet::GetDefaultSQL()
{
	return _T("[AGR_FCE]");
//	return _T("SELECT * FROM AGR_FCE");
}

void CCasSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CCasSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Int(pFX, _T("[PSHORT]"), m_PSHORT);
	RFX_Long(pFX, _T("[PINTEGER]"), m_PINTEGER);
	RFX_Text(pFX, _T("[PMONEY]"), m_PMONEY);
	RFX_Double(pFX, _T("[PREAL]"), m_PREAL);
	RFX_Date(pFX, _T("[PTIME]"), m_PTIME);
	RFX_Text(pFX, _T("[PTEXT]"), m_PTEXT);
	RFX_Date(pFX, _T("[PDATE]"), m_PDATE);
	RFX_Text(pFX, _T("[PSTRING]"), m_PSTRING);
	RFX_Text(pFX, _T("[PCSSTRING]"), m_PCSSTRING);
	RFX_Text(pFX, _T("[PCSISTRING]"), m_PCSISTRING);
	RFX_Text(pFX, _T("[PCHAR]"), m_PCHAR);
	RFX_Bool(pFX, _T("[PBOOLEAN]"), m_PBOOLEAN);
	RFX_Date(pFX, _T("[PTIMESTAMP]"), m_PTIMESTAMP);
	RFX_Binary(pFX, _T("[PBINARY]"), m_PBINARY);
	RFX_LongBinary(pFX, _T("[PRASTER]"), m_PRASTER);
	RFX_LongBinary(pFX, _T("[POLE]"), m_POLE);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CCasSet diagnostics

#ifdef _DEBUG
void CCasSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CCasSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
