// casSet.h : interface of the CCasSet class
//
/////////////////////////////////////////////////////////////////////////////

class CCasSet : public CRecordset
{
public:
	CCasSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CCasSet)

// Field/Param Data
	//{{AFX_FIELD(CCasSet, CRecordset)
	int	m_PSHORT;
	long	m_PINTEGER;
	CString	m_PMONEY;
	double	m_PREAL;
	CTime	m_PTIME;
	CString	m_PTEXT;
	CTime	m_PDATE;
	CString	m_PSTRING;
	CString	m_PCSSTRING;
	CString	m_PCSISTRING;
	CString	m_PCHAR;
	BOOL	m_PBOOLEAN;
	CTime	m_PTIMESTAMP;
	CByteArray	m_PBINARY;
	CLongBinary	m_PRASTER;
	CLongBinary	m_POLE;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCasSet)
	public:
	virtual CString GetDefaultConnect();	// Default connection string
	virtual CString GetDefaultSQL(); 	// default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);	// RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

};
