// casView.h : interface of the CCasView class
//
/////////////////////////////////////////////////////////////////////////////

class CCasSet;

class CCasView : public CRecordView
{
protected: // create from serialization only
	CCasView();
	DECLARE_DYNCREATE(CCasView)

public:			
	BOOL m_bAddMode;
	DWORD m_nSizeRaster;
	DWORD m_nSize;
	CByteArray m_baCopieFirstPRASTER;
	// Do m_baCopieFirstPOLE ulom kopii PRASTER prvnho zznamu
	CByteArray m_baCopieFirstPOLE;
	// Do m_baCopieFirstPOLE ulom kopii POLE prvnho zznamu
	BYTE* m_lpDataBYTE;
	BYTE* m_lpDataByteRaster;
	BOOL m_bFirstCallRaster;
	BOOL m_bFirstCall;
	BOOL m_bAktuatizovatRaster;
	BOOL m_bAktuatizovatOLE;	
	//{{AFX_DATA(CCasView)
	enum { IDD = IDD_CAS_FORM };
	CEdit	m_ctrlPTIME;
	CEdit	m_ctrlPTIMESTAMP;
	CEdit	m_ctrlPDATE;
	CCasSet* m_pSet;		
	//}}AFX_DATA

// Attributes
public:
	CCasDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCasView)
	public:
	virtual CRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnMove(UINT nIDMoveCommand);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct	
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCasView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCasView)
	afx_msg void OnAddRec();
	afx_msg void OnDelRec();
	afx_msg void OnRefrRec();
	afx_msg void OnBinarButt();
	afx_msg void OnButtUpdatOle();
	afx_msg void OnButtUpdatRaster();	
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:	
	void SaveFirstPRASTER();
	void SaveFirstPOLE();
	void DrawOLEBitmapToView();
	void DoOLEPictureExchange(CDataExchange* pDX);
	void DoRasterExchange(CDataExchange* pDX);
	BYTE* GetDibBitsAddr(BYTE* lpDib);
	void DrawBitmapToView();
	void DoDataTimeExchange(CDataExchange* pDX);
	void DoBinaryExchange(CDataExchange* pDX);
};

#ifndef _DEBUG  // debug version in casView.cpp
inline CCasDoc* CCasView::GetDocument()
   { return (CCasDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
